Package org.apache.felix.http.base.internal.dispatch

# Class RequestInfo

java.lang.Object
org.apache.felix.http.base.internal.dispatch.RequestInfo

All Implemented Interfaces:
  `jakarta.servlet.http.HttpServletMapping`

public final class RequestInfo extends Object implements jakarta.servlet.http.HttpServletMapping
Information about the request

## Constructor Summary

Constructors
Constructor
Description
`RequestInfo(String servletPath, String pathInfo, String queryString, String requestURI, String matchServletName, String matchPattern, String matchValue, jakarta.servlet.http.MappingMatch match, boolean nameMatch)`
Create a new request info

## Method Summary

Modifier and Type
Method
Description
`jakarta.servlet.http.MappingMatch`
`getMappingMatch()`
`String`
`getMatchValue()`
`String`
`getPattern()`
`String`
`getServletName()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RequestInfo

public RequestInfo(String servletPath, String pathInfo, String queryString, String requestURI, String matchServletName, String matchPattern, String matchValue, jakarta.servlet.http.MappingMatch match, boolean nameMatch)
Create a new request info

Parameters:
  `servletPath` - The servlet path
  `pathInfo` - The path info
  `queryString` - The query string
  `requestURI` - The request uri
  `matchServletName` - The servlet name
  `matchPattern` - The servlet pattern
  `matchValue` - The value matching
  `match` - The match type
  `nameMatch` - Is named dispatcher

## Method Details

### getMatchValue

public String getMatchValue()

Specified by:
  `getMatchValue` in interface `jakarta.servlet.http.HttpServletMapping`

### getPattern

public String getPattern()

Specified by:
  `getPattern` in interface `jakarta.servlet.http.HttpServletMapping`

### getServletName

public String getServletName()

Specified by:
  `getServletName` in interface `jakarta.servlet.http.HttpServletMapping`

### getMappingMatch

public jakarta.servlet.http.MappingMatch getMappingMatch()

Specified by:
  `getMappingMatch` in interface `jakarta.servlet.http.HttpServletMapping`

### toString

public String toString()

Overrides:
  `toString` in class `Object`